tween = require 'libraries/tween'
timer = require 'libraries/hump/timer'
gamestate = require 'libraries/hump/gamestate'

require 'states/battle'

function love.load()
	--making random things random
	math.randomseed(os.time())
	math.random() math.random() math.random()
	
	--loading images
	font_damage = love.graphics.newFont(40)
	font_earthbound = love.graphics.newFont('images/apple_kid.ttf', 30)
	img_battle_menu = love.graphics.newImage('images/battle_menu.png')
	img_input_cue = love.graphics.newImage('images/input_cue.png')
	img_battle_triangle = love.graphics.newImage('images/battle_triangle.png') --I'm too impatient to get the positions right with love.graphics.triangle

	gamestate.registerEvents()
	enemytype = 'slime'
	battle_xshift = 100
	battle_yshift = 450
	gamestate.switch(battle)
end

function love.update(dt)
	tween.update(dt)
	timer.update(dt)
end